RTEMS: MAX_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
MAX_struct_tag Struct Reference

## Data Fields
union {
MAX_SLAVE_PORT_tag SLAVE_PORT [8]
struct {
MAX_MPR_32B_tag MPR0
MAX_MPR_32B_tag AMPR0
int8_t MAX_reserved_0008_I1 [8]
MAX_SGPCR_32B_tag SGPCR0
MAX_ASGPCR_32B_tag ASGPCR0
int8_t MAX_reserved_0018_I1 [232]
MAX_MPR_32B_tag MPR1
MAX_MPR_32B_tag AMPR1
int8_t MAX_reserved_0108_I1 [8]
MAX_SGPCR_32B_tag SGPCR1
MAX_ASGPCR_32B_tag ASGPCR1
int8_t MAX_reserved_0118_I1 [232]
MAX_MPR_32B_tag MPR2
MAX_MPR_32B_tag AMPR2
int8_t MAX_reserved_0208_I1 [8]
MAX_SGPCR_32B_tag SGPCR2
MAX_ASGPCR_32B_tag ASGPCR2
int8_t MAX_reserved_0218_I1 [232]
MAX_MPR_32B_tag MPR3
MAX_MPR_32B_tag AMPR3
int8_t MAX_reserved_0308_I1 [8]
MAX_SGPCR_32B_tag SGPCR3
MAX_ASGPCR_32B_tag ASGPCR3
int8_t MAX_reserved_0318_I1 [232]
MAX_MPR_32B_tag MPR4
MAX_MPR_32B_tag AMPR4
int8_t MAX_reserved_0408_I1 [8]
MAX_SGPCR_32B_tag SGPCR4
MAX_ASGPCR_32B_tag ASGPCR4
int8_t MAX_reserved_0418_I1 [232]
MAX_MPR_32B_tag MPR5
MAX_MPR_32B_tag AMPR5
int8_t MAX_reserved_0508_I1 [8]
MAX_SGPCR_32B_tag SGPCR5
MAX_ASGPCR_32B_tag ASGPCR5
int8_t MAX_reserved_0518_I1 [232]
MAX_MPR_32B_tag MPR6
MAX_MPR_32B_tag AMPR6
int8_t MAX_reserved_0608_I1 [8]
MAX_SGPCR_32B_tag SGPCR6
MAX_ASGPCR_32B_tag ASGPCR6
int8_t MAX_reserved_0618_I1 [232]
MAX_MPR_32B_tag MPR7
MAX_MPR_32B_tag AMPR7
int8_t MAX_reserved_0708_I1 [8]
MAX_SGPCR_32B_tag SGPCR7
MAX_ASGPCR_32B_tag ASGPCR7
int8_t MAX_reserved_0718_E1 [232]
} |
}; |
union {
MAX_MASTER_PORT_tag MASTER_PORT [8]
struct {
MAX_MGPCR_32B_tag MGPCR0
int8_t MAX_reserved_0804_I1 [252]
MAX_MGPCR_32B_tag MGPCR1
int8_t MAX_reserved_0904_I1 [252]
MAX_MGPCR_32B_tag MGPCR2
int8_t MAX_reserved_0A04_I1 [252]
MAX_MGPCR_32B_tag MGPCR3
int8_t MAX_reserved_0B04_I1 [252]
MAX_MGPCR_32B_tag MGPCR4
int8_t MAX_reserved_0C04_I1 [252]
MAX_MGPCR_32B_tag MGPCR5
int8_t MAX_reserved_0D04_I1 [252]
MAX_MGPCR_32B_tag MGPCR6
int8_t MAX_reserved_0E04_I1 [252]
MAX_MGPCR_32B_tag MGPCR7
int8_t MAX_reserved_0F04_E1 [252]
} |
}; |

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h